Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.wso2.wsas.persistence.exception
Class SecurityScenarioAlreadyExistsException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.wso2.wsas.persistence.exception.SecurityScenarioAlreadyExistsException

All Implemented Interfaces:
  java.io.Serializable

    public class SecurityScenarioAlreadyExistsException

extends java.lang.Exception

See Also:
  Serialized Form

Constructor Summary
`SecurityScenarioAlreadyExistsException()` Constructs a new exception with `null` as its detail message.
`SecurityScenarioAlreadyExistsException(java.lang.String message)` Constructs a new exception with the specified detail message.
`SecurityScenarioAlreadyExistsException(java.lang.String message, java.lang.Throwable cause)` Constructs a new exception with the specified detail message and cause.
`SecurityScenarioAlreadyExistsException(java.lang.Throwable cause)` Constructs a new exception with the specified cause and a detail message of `(cause==null ?`

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SecurityScenarioAlreadyExistsException

    public SecurityScenarioAlreadyExistsException()

  Constructs a new exception with `null` as its detail message. The cause is not initialized, and may subsequently be initialized by a call to `Throwable.initCause(java.lang.Throwable)`.

### SecurityScenarioAlreadyExistsException

    public SecurityScenarioAlreadyExistsException(java.lang.String message)

  Constructs a new exception with the specified detail message. The cause is not initialized, and may subsequently be initialized by a call to `Throwable.initCause(java.lang.Throwable)`.

  Parameters:
    `message` - the detail message. The detail message is saved for later retrieval by the `Throwable.getMessage()` method.

### SecurityScenarioAlreadyExistsException

    public SecurityScenarioAlreadyExistsException(java.lang.String message,
                                                  java.lang.Throwable cause)

  Constructs a new exception with the specified detail message and cause.

  Note that the detail message associated with `cause` is not automatically incorporated in this exception's detail message.

  Parameters:
    `message` - the detail message (which is saved for later retrieval by the `Throwable.getMessage()` method).
    `cause` - the cause (which is saved for later retrieval by the `Throwable.getCause()` method). (A `null` value is permitted, and indicates that the cause is nonexistent or unknown.)
  Since:
    1.4

### SecurityScenarioAlreadyExistsException

    public SecurityScenarioAlreadyExistsException(java.lang.Throwable cause)

  Constructs a new exception with the specified cause and a detail message of `(cause==null ? null : cause.toString())` (which typically contains the class and detail message of `cause`). This constructor is useful for exceptions that are little more than wrappers for other throwables (for example, `PrivilegedActionException`).

  Parameters:
    `cause` - the cause (which is saved for later retrieval by the `Throwable.getCause()` method). (A `null` value is permitted, and indicates that the cause is nonexistent or unknown.)
  Since:
    1.4

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD